<?php
namespace Ep\Woo\Plugin\Checkout;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class R1Factory
 *
 * @package Ep\Woo\Plugin\Checkout
 * @author Danijel Fabijan <hipnaba@gmail.com>
 */
final class R1Factory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('config')['gath'] ?? [];
        return new R1($config['wholesale'] ?? false);
    }
}
