<?php
namespace Ep\Woo\Plugin\Shipping;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class CurrencyFactory
 *
 * @package Ep\Woo\Plugin\Shipping
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
class CurrencyFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $converter = $container->get('currency_converter');
        return new Currency($converter);
    }
}
