<?php
/**
 * @var string $email
 * @var \WC_Coupon $coupon
 */

do_action('woocommerce_email_header', $email_heading, $email); ?>

    <p>
        <?= sprintf(__('Poštovani %s,', 'ep-woocommerce'), explode('@', $email)[0]); ?>
    </p>

    <p>
        <?= $coupon->get_description(); ?>
        <?php
            echo sprintf(
                __('Vaš kupon vam daje popust u iznosu od %d %% koji možete iskoristiti najkasnije do %s.', 'ep-woocommerce'),
                $coupon->get_amount(),
                date('d.m.Y', strtotime($coupon->get_date_expires()))
            );
        ?>
    </p>

    <p><?= __('Pratite naše tjedne akcije i ne propustite dodatne pogodnosti.', 'ep-woocommerce'); ?></p>
    <p><?= __('Sudjelujte u izboru tjednih akcija na našoj <a href="https://www.facebook.com/AutoKreso/">Facebook</a> stranici.', 'ep-woocommerce'); ?></p>

    <p><br><br></p>

    <div style="text-align: center">
        <table width="448" border="0" cellpadding="20" style="margin: 0 auto;max-width:100%;">
            <tbody>
            <tr>
                <td bgcolor="#ffd504">
                    <div style="font-size: 23px; color: #1e3c94;padding-bottom: 20px;">
                        <?= sprintf(__('DODATNIH <b>%d</b> %% POPUSTA', 'ep-woocommerce'), $coupon->get_amount()); ?>
                    </div>
                    <div style="background-color: #1e3c94; text-align: center; padding: 10px;font-size: 28px;color: #ffffff">
                        <b><?= strtoupper($coupon->get_code()); ?></b>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

<?php
do_action('woocommerce_email_footer', $email);