<?php
namespace EpTest\Woo;

use Ep\Woo\ConfigProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package EpTest\Woo
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class TestConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Ak\Wp\ConfigProvider::class,

            \Ep\ConfigProvider::class,
            ConfigProvider::class,
        ]))->getMergedConfig();
    }
}
